#ifndef STROKEMODEL_H
#define STROKEMODEL_H

#include <OpenSim/OpenSim.h>

class SynergiesModel {

private:
	double _bestSoFar;
	int _numControls;
	SimTK::Vector _control_solutions;
	std::vector<SimTK::Vector> _control_list;
	std::vector<SimTK::State> _state_list;	

public:
	
	SynergiesModel(double noise, int nbc_pcs, int maxIter, int lambda, int STEPS, std::vector<double> initial_coords, std::vector<double> end_eff_target, std::string model_file, std::string matrix_file, int dim_reduction);
	int count_number_of_lines(std::string filename);

	int get_numControls()
	{
		return _numControls;	
	};

	SimTK::Vector get_controls()
	{
		return _control_solutions;
	};

	std::vector<SimTK::Vector> get_control_list()
	{
		return _control_list;
	};
	
	std::vector<SimTK::State> get_state_list()
	{
		return _state_list;
	};

	double get_bestSoFar()
	{
		return _bestSoFar;
	};
};

#endif

